<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Gold_silver_inventory_report extends REF_Controller {
    public function __construct() {
        parent::__construct();
        $this->load->library('upload');
        $this->load->model('reports/gold_inventory_report_model', '', TRUE);
        $this->uri_key_index = 0;
    }
    
    public function index() {
        $data = array();
        if (!empty($this->session->flashdata('success'))) 
            $data['success'] = $this->session->flashdata('success');
        else 
            $data['error'] = $this->session->flashdata('error');
        
        if((!empty($this->input->post('submit'))) && ($this->input->post('submit') == 'Get Data' || $this->input->post('submit') == 'Print Data')) {
            $start_date = $this->input->post('start_date');
            $end_date = $this->input->post('end_date');
            $item_id = $this->input->post('item_id');
        } else {
            $start_date = '';
            $end_date = '';
            $item_id = '';
        }
        $data['results'] = $this->gold_inventory_report_model->get_data($start_date,$end_date,$item_id);
        $data['start_date'] = $start_date;
        $data['end_date'] = $end_date;
        $data['item_id'] = $item_id;
        $actions = $this->actions();
        $data['form_action'] = 'gold_silver_inventory_report';
        $data['title'] = 'Gold/Silver Inventory Report';
        
        $filters = array();
        if(!empty($this->input->post('filter_columns'))) {
            foreach($this->input->post('filter_columns') as $key=>$value) {
                array_push($filters,$this->input->post($value));
            } 
        }
        $data['filters'] = array_filter($filters);
        
        if($this->input->post('submit') == 'Print Data'){
            if( IS_KSK ) :
                $html = $this->load->view('reports/inv_gold_silver/pdf', $data, TRUE);
                //echo $html; die;
                print_rec($html);
                redirect('gold_silver_inventory_report','refresh');
            else :
                $this->render($data, 'reports/inv_gold_silver/pdf');
            endif;
        } else {
            $this->render($data, 'reports/inv_gold_silver/list');
        }
    }
   
} ?>